slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPJDSetMinimalityIndex

Sets the maximum allowed value for the minimality index.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetMinimalityIndex(PEP pep,PetscInt mmidx)

Logically Collective

### Input Parameters

| pep | - the eigenproblem solver context
| mmidx | - maximum minimality index

### Options Database Key

| -pep_jd_minimality_index | - the minimality index value

### Note

The default value is equal to the degree of the polynomial. A smaller value can be used if the wanted eigenvectors are known to be linearly independent.

### See Also

PEPJDGetMinimalityIndex()

### Level

advanced

### Location

src/pep/impls/jd/pjd.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages